#!/bin/sh

# set our location
MOZ_BASE=/export/home/jeffv/ldap-c-sdk
export MOZ_BASE
cd $MOZ_BASE

# Erase previous snapshot
rm -fr mozilla

# Get Directory sources
CVSROOT=:pserver:anonymous@cvs-mirror.mozilla.org:/cvsroot
export CVSROOT
cvs co -P DirectorySDKSourceC

########################################################
# Get either source or binaries for NSPR, NSS, and DBM #
########################################################

if [ "$1" = "sources" ]; then

#################################
# Get NSPR, NSS, and DBM source #
# (not recently tested by Funk) #
#################################

cvs co -r NSPR_4_2_2_RELEASE mozilla/nsprpub
cvs co -r NSS_3_7_7_RTM      mozilla/security/coreconf mozilla/security/nss
cvs co -r DBM_1_61_RTM       mozilla/dbm mozilla/security/dbm

# Build NSPR and NSS (and maybe DBM)
cd $MOZ_BASE/mozilla/security/nss
gmake nss_build_all

# Set the location
cd $MOZ_BASE

else

############################################
# Use existing NSPR, NSS, and DBM binaries #
############################################

# create directories
mkdir $MOZ_BASE/mozilla
mkdir $MOZ_BASE/mozilla/dist
mkdir $MOZ_BASE/mozilla/dist/SunOS5.8_sparc_32_PTH_DBG.OBJ

# go there
cd $MOZ_BASE/mozilla/dist/SunOS5.8_sparc_32_PTH_DBG.OBJ

# copy the tarballs, nss 377 binaries unavailable, use 378 instead
cp $MOZ_BASE/nspr-4.2.2.tar.gz .
cp $MOZ_BASE/nss-3.7.8.tar.gz  .

# unpack
gunzip    nspr-4.2.2.tar.gz
gtar -xvf nspr-4.2.2.tar
gunzip    nss-3.7.8.tar.gz
gtar -xvf nss-3.7.8.tar

# move the contents of both tarballs to the dist directory
mv nspr-4.2.2/*        .
mv nss-3.7.8/bin/*     ./bin
mv nss-3.7.8/include/* ./include
mv nss-3.7.8/lib/*     ./lib

# removed orphaned directories
rm -fr nspr-4.2.2/
rm -fr nss-3.7.8/

fi

# exit # uncomment if you just want the original sources, no Funk patches, and no build

######################################################
# Replace result.c file with our bug fixed version   #
# Replace ldapsearch with a synchronous test version #
######################################################

cp -f $MOZ_BASE/mozilla_directory_c-sdk_ldap_libraries_libldap_result.c $MOZ_BASE/mozilla/directory/c-sdk/ldap/libraries/libldap/result.c
cp -f $MOZ_BASE/mozilla_directory_c-sdk_ldap_clients_tools_ldapsearch.c $MOZ_BASE/mozilla/directory/c-sdk/ldap/clients/tools/ldapsearch.c

# exit # uncomment if you just want the Funk patched sources and no build

##################
# Build LDAP SDK #
##################

# this is the "old", "not recommended" way, USE THIS ONE FOR SOLARIS
cd $MOZ_BASE/mozilla/directory
gmake buildLdapClientSDK BUILD_CLU=1 COMPS_FROM_OBJDIR=1
# BUILD_OPT=1 is left out because it breaks the build at compile time (can't find nspr.h)

# exit # uncomment if you don't want any tests run (look at test.sh before executing please)

#############
# Run tests #
#############

# home
cd $MOZ_BASE
./test.sh
