#!/bin/sh

# set our base location
MOZ_BASE=/export/home/jeffv/ldap-c-sdk
export MOZ_BASE

# create a clean test directory
mkdir  $MOZ_BASE/test
rm -fr $MOZ_BASE/test/*
cd     $MOZ_BASE/test

# copy all believed to be nessary libraries
cp $MOZ_BASE/mozilla/directory/c-sdk/ldap/clients/tools/SunOS5.8_sparc_32_PTH_DBG.OBJ/lib/libldap50.so      .
cp $MOZ_BASE/mozilla/directory/c-sdk/ldap/clients/tools/SunOS5.8_sparc_32_PTH_DBG.OBJ/lib/libnspr4.so       .
cp $MOZ_BASE/mozilla/directory/c-sdk/ldap/clients/tools/SunOS5.8_sparc_32_PTH_DBG.OBJ/lib/libnss3.so        .
cp $MOZ_BASE/mozilla/directory/c-sdk/ldap/clients/tools/SunOS5.8_sparc_32_PTH_DBG.OBJ/lib/libplc4.so        .
cp $MOZ_BASE/mozilla/directory/c-sdk/ldap/clients/tools/SunOS5.8_sparc_32_PTH_DBG.OBJ/lib/libplds4.so       .
cp $MOZ_BASE/mozilla/directory/c-sdk/ldap/clients/tools/SunOS5.8_sparc_32_PTH_DBG.OBJ/lib/libprldap50.so    .
cp $MOZ_BASE/mozilla/directory/c-sdk/ldap/clients/tools/SunOS5.8_sparc_32_PTH_DBG.OBJ/lib/libsoftokn3.so    .
cp $MOZ_BASE/mozilla/directory/c-sdk/ldap/clients/tools/SunOS5.8_sparc_32_PTH_DBG.OBJ/lib/libssl3.so        .
cp $MOZ_BASE/mozilla/directory/c-sdk/ldap/clients/tools/SunOS5.8_sparc_32_PTH_DBG.OBJ/lib/libssldap50.so    .

# copy the filter library
cp $MOZ_BASE/mozilla/dist/SunOS5.8_sparc_32_PTH_DBG.OBJ/lib/libultrasparc4.so .

# create a link from libatomic to the filter lib
ln -s libultrasparc4.so libatomic.so

# copy executables that exercise those libraries
cp $MOZ_BASE/mozilla/directory/c-sdk/ldap/clients/tools/SunOS5.8_sparc_32_PTH_DBG.OBJ/bin/ldapcmp           .
cp $MOZ_BASE/mozilla/directory/c-sdk/ldap/clients/tools/SunOS5.8_sparc_32_PTH_DBG.OBJ/bin/ldapcompare       .
cp $MOZ_BASE/mozilla/directory/c-sdk/ldap/clients/tools/SunOS5.8_sparc_32_PTH_DBG.OBJ/bin/ldapdelete        .
cp $MOZ_BASE/mozilla/directory/c-sdk/ldap/clients/tools/SunOS5.8_sparc_32_PTH_DBG.OBJ/bin/ldapmodify        .
cp $MOZ_BASE/mozilla/directory/c-sdk/ldap/clients/tools/SunOS5.8_sparc_32_PTH_DBG.OBJ/bin/ldapsearch        .

# add . to the libarary search path
LD_LIBRARY_PATH=.:LD_LIBRARY_PATH
export LD_LIBRARY_PATH

# find our dependencies, nothing mozilla-like should be outside this directory
ldd -luvsir ./ldapsearch

# sample test
./ldapsearch # smoke test (won't work outside of Funk Software
ldapsearch  -l 1 -h 192.168.21.46 -p 38900 -b "cn=MasterCRL,ou=crlIssuingPoints, ou=ca, o=NetscapeCertificateServer" "objectClass=*" certificateRevocationList # real test using a Funk Concord ldap server

cd $MOZ_BASE
